package com.fjhx.customer.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("customer")
public class Customer extends BasePo {

    /**
     * 客户代码
     */
    private String customerCode;

    /**
     * 客户编码
     */
    private String code;

    /**
     * 国家表id
     */
    private Long countryId;

    /**
     * 省份ID
     */
    private Long provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市id
     */
    private Long cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 地址
     */
    private String address;

    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 客户类型（字典表key）
     */
    private String status;

    /**
     * 客户来源（字典表key）
     */
    private String source;

    /**
     * 业务员id
     */
    private Long userId;

    /**
     * 客户标签
     */
    private String tag;

    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 个数
     */
    @TableField(exist = false)
    private Integer count;


    /**
     * beneficiaryName
     */
    private String beneficiaryName;

    /**
     * beneficiaryBank
     */
    private String beneficiaryBank;

    /**
     * beneficiaryBankAddress
     */
    private String beneficiaryBankAddress;

    /**
     * beneficiaryAddress
     */
    private String beneficiaryAddress;

    /**
     * beneficiaryName
     */
    private String swiftCode;

    /**
     * beneficiaryAccountNumber
     */
    private String beneficiaryAccountNumber;

    /**
     * 业务员分配时间
     */
    private Date allocationTime;

    /**
     * 最后一次跟进时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date lastFollowTime;

    /**
     * 传真
     */
    private String fax;

    /**
     * 税号
     */
    private String dutyParagraph;
    //================================

    /**
     * 公司/客户主体
     */
    private String mainPart;
    /**
     * 公司/客户客体
     */
    private String minorPart;
    /**
     * 业务部门
     */
    private Long deptId;
    /**
     * 主营品类
     */
    private String mainCategories;
    /**
     * 公司规模
     */
    private String companySize;

    /**
     * 结算方式
     */
    private String settlementMode;

    /**
     * 客户级别
     */
    private String level;

    /**
     * 维系级别
     */
    private String maintainLevel;


    /**
     * 新老客户
     */
    private String newOld;


    /**
     * 年度销量
     */
    private String annualQuantity;

    /**
     * 回返要求
     */
    private String followUpAsk;

    /**
     * 提醒设置
     */
    private String remind;

    /**
     * 建群时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createGroupTime;
    /**
     * 客户状态
     */
    private String state;
    //==============================================
    /**
     * 发票id
     */
    private String invoiceType;
    /**
     * 合作状态
     */
    private String cooperateStatus;
    /**
     * 账户名称（公司名）
     */
    private String accountName;

    /**
     * 账户地址
     */
    private String accountAddress;
    /**
     * 账户电话
     */
    private String accountTel;
    /**
     * 账户开户行
     */
    private String accountBank;

    /**
     * 账户账号
     */
    private String accountNumber;

    /**
     * 对私开户行
     */
    private String privAccountBank;
    /**
     * 对私账户名称
     */
    private String privAccountName;
    /**
     * 对私账户账号
     */
    private String privAccountNumber;


}
