package com.fjhx.sale.entity.contract.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.sale.entity.contract.po.Contract;
import com.fjhx.sale.entity.contract.po.ContractProject;
import com.fjhx.sale.entity.contract.po.ContractShipment;
import com.fjhx.sale.entity.purchase.po.EhsdPurchase;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 外销合同表列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractVo extends Contract {

    /**
     * 交接单附件信息
     */
    List<FileInfoVo> fileInfoVos;
    /**
     * 交接单附件信息
     */
    List<FileInfoVo> packageFileInfoVOList;
    List<ContractProductVo> contractProductList;
    List<EhsdPurchase> purchaseList;
    List<ContractProject> contractProjectList;
    List<ContractShipment> contractShipmentList;
    /**
     * 历史毛利信息
     */
    List<ContractBudgetVo.GrossProfitInfo> grossProfitInfoList;
    /**
     * 买方名称
     */
    private String buyCorporationName;
    /**
     * 卖方名称
     */
    private String sellCorporationName;
    /**
     * 买方国家名称
     */
    private String buyCountryName;
    /**
     * 卖方国家名称
     */
    private String sellCountryName;
    /**
     * 买方省名称
     */
    private String buyProvinceName;
    /**
     * 卖方省名称
     */
    private String sellProvinceName;
    /**
     * 买方市名称
     */
    private String buyCityName;
    /**
     * 卖方市名称
     */
    private String sellCityName;
    /**
     * 时间
     */
    private String time;
    /**
     * 合同产品数量
     */
    private BigDecimal cpQuantity;
    /**
     * 已包装数量
     */
    private BigDecimal sumPackQuantity;
    /**
     * 总额
     */
    private BigDecimal sumAmount;
    /**
     * 合同产品ID
     */
    private Long contractProductId;
    /**
     * 合同个数
     */
    private Long contractCount;
    /**
     * 总到账认领金额
     */
    private BigDecimal sumClaimMoney;
    /**
     * 客户标签（存在多个用逗号隔开）
     */
    private String tag;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 金额CNY
     */
    private BigDecimal amountCNY;
    /**
     * 新到款状态
     */
    private String refundStatusNew;
    private BigDecimal refundMoney;
    /**
     * 合同类型字典值
     */
    private String contractTypeVal;

    /**
     * 数据来源 类型 1合同 2ehsd样品单
     */
    private Integer dataType;

    /**
     * 合同模板名称
     */
    private String contractTemplateName;

    /**
     * 收款账号
     */
    private String shroffAccountName;

    /**
     * 定金
     */
    private BigDecimal earnest;

    /**
     * 尾款
     */
    private BigDecimal finalPayment;

    /**
     * 到账时间
     */
    private Date claimTime;

    /**
     * 包装条数
     */
    private Integer packCount;

    /**
     * 采购条数
     */
    private Integer purchaseCount;

    /**
     * 跟单条数
     */
    private Integer documentaryCount;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 业务员名称
     */
    private String salesmanName;

    /**
     * 合同到账金额（根据合同币种）
     */
    private BigDecimal sumContractClaimMoney;

    /**
     * 合同未到账金额（未结清金额）（根据合同币种）
     */
    private BigDecimal sumContractNotClaimMoney;
    /**
     * 生产公司名称
     */
    private String companyName;
    /**
     * 销售部门名称
     */
    private String deptName;
    /**
     * 生产状态
     */
    private Integer produceStatus;
    /**
     * 待入库数量
     */
    private BigDecimal waitStockQuantity;

    /**
     * 跟单员名称
     */
    private String merchUserName;

    private String ofCompanyName;
    private String createUserName;
    /**
     * 已入库数量
     */
    private BigDecimal receiptStockQuantity;

    /**
     * 已结算金额
     */
    private BigDecimal settledAmount;
    /**
     * 未结算金额
     */
    private BigDecimal unsettledAmount;

    /**
     * 生产交期
     */
    private Date prodDeliveryPeriod;

    /**
     * 出货金额
     */
    private BigDecimal shipmentAmount;

    /**
     * 出货数量
     */
    private BigDecimal deliverQuantity;
    /**
     * 出货数量
     */
    private BigDecimal notDeliverQuantity;


    /**
     * 付款账户名称
     */
    private String paymentAccountName;
    /**
     * 付款账户开户行
     */
    private String paymentAccountBank;

    /**
     * 付款账户账号
     */
    private String paymentAccountNumber;

}

